@import "variables";
.main {
    max-width: 60em;
}
section {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.btn--edit {
    display: inline-block;
    text-align: center;
    // margin-left: auto;
    height: 2em;
    // width: 5em;
    color: white;
    font-weight: 100;
    font-size: 14pt;
    padding-left: 1em;
    padding-right: 1em;
    border-radius: 5pt;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    background-color: $primary-color;;
    &:hover {
        color: white;
        background-color: lighten($navbar-color,5);
    }
    &:active {
        color: white;
        background-color: $primary-color;;
        box-shadow: 0;
    }
}
.btn--export {
    display: inline-block;
    text-align: center;
    margin-right: 0.1em;
    height: 2em;
    color: white;
    font-weight: 100;
    font-size: 14pt;
    padding-left: 1em;
    padding-right: 1em;
    border-radius: 5pt;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    background-color: $primary-color;
    &:hover {
        color: white;
        background-color: lighten($primary-color,5);
    }
    &:active {
        color: white;
        background-color: $primary-color;
        box-shadow: 0;
    }
}

.btn--export a {
    outline: 0;
    color: white;
    &:hover {
        color: white;
    }
    &:active {
        color: white;
    }
}
.btn--delete {
    display: inline-block;
    text-align: center;
    margin-left: auto;
    height: 2em;
    width: 10em;
    color: white;
    font-weight: 100;
    font-size: 14pt;
    padding: 0.2em;
    margin-left: auto;
    background-color: $series-color;
    border-radius: 5pt;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
    &:hover {
        color: white;
        background-color: lighten($series-color,15);
    }
    &:focus {
        color: white;
        background-color: $series-color;
    }
}
.header_row {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.description {
    display: flex;
    flex-direction: column;
    margin-top: 0;
    margin-bottom: 0;
}
.form-control {
    display: inline-block;
    width: 5em;
}

@mixin item($color) {
    border-left: 1.5em solid $color;
    // margin-bottom: 0.5em;
    margin-left: 0;
    &:last-child {
        margin-bottom: 0;
    }
}
.assay_item {
    @include item($assay-color);
    // padding-left: 0.5em;
    // padding-bottom: 0.5em;
    // margin-bottom: 0;
}
.non_tab_biosample_item {
    @include item($biosample-color);

}
.series_item{
    @include item($series-color);

}
.biosample_item {
    @include item($biosample-color);
}
.appliedassay_item {
    @include item($appliedAssay-color);
}
.technicalreplicate_item {
    @include item($select_stroke-color);
}
.sequencing_item {
    @include item($sequencing-color);
}
.data_item {
    padding-left: 0.5em;
    @include item($data-color);
}
.header:before {
    transition: 300ms;
    content: "\f054";
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    font-size: 1em;
    position: relative;
    margin-top: 0.5em;
    margin-left: -1.2em;
    margin-right: 0.2em;
    color: white;
    transform: rotate(90deg);
}
.header {
    display: flex;
    align-items: flex-start;
}
.data_header:before {
    color: $data-color;
    // margin-left: -1.5;
}
.collapsed_header:before {
    color: white;
    content: "\f054";
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    font-size: 1em;
    position: relative;
    display: inline-block;
    transition: 300ms;
    transform: rotate(0deg);
}
.header {
    width: 100%;
    & span {
        padding-top: 0.5em;
        padding-bottom: 0.5em;
    }
}

ul {
    margin-bottom: 0;
    list-style-type: none;
}
textarea {
    resize: none;
}
.button_row {
    display: flex;
    flex-direction: row;
    justify-content: center;
}
.button_row_right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}
@mixin collapse_btn($color) {
    font-size: 13pt;
    margin-bottom: 0;
    border-radius: 0;
    border-top-left-radius: 3pt;
    border-top-right-radius: 3pt;
    color: white;
    background-color: $color;
    margin-left: 0.5em;
    margin-right: 0.5em;
    &:hover {
        color: white;
    }
    &:focus {
        color: white;
    }
}
.btn--collapse_biosample {
    @include collapse_btn($biosample-color);
}
.btn--collapse_appliedassay {
    @include collapse_btn($appliedAssay-color);
}
.btn--collapse_sequencing {
    @include collapse_btn($sequencing-color);
}
.attached_items {
    margin-top: 1em;
    width: 90vw;
    & .card {
        display: inline-block;
        // position: relative;
        margin: 0 auto;
        // margin-top: 0;
        width: 90vw;
        max-width: 100em;
        margin-right: 2em;
    }
}
.pagination {
    height: 0;
    margin: 0;
    visibility: hidden;
}
.table {
    margin-bottom: 0;
}
.cardinality {
    height: 0;
    // visibility:hidden;
}
td {
    // text-align: center;
}
.tooltip-inner {
    max-width: 350px;
}

#summary h3:first-child{
    margin-top: 0;
}

.section{
  margin-bottom: 1.5em;
}
label{
    font-weight: bold;
}
.card-header >p{
    width: 100%;
    margin-bottom: 0;
}
.two_col{
  column-count: 2;
  column-gap: 5em;
  column-rule: 1pt solid #DADADA;
  & p{
      width: 100%;
  }
}

.table thead th {
    border-bottom: none;
}
